package com.steerinfo.baseinfo.meterbasebillprint.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseBillPrint implements IBasePO<String> {
    /**
     * 票据打印编号(BILL_PRINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="票据打印编号",required=true)
    private String billPrintNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 装卸点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="装卸点编号",required=true)
    private String loadPointNo;

    /**
     * 装卸点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="装卸点名称",required=true)
    private String loadPointName;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 计量类型编号(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号",required=true)
    private String meterTypeNo;

    /**
     * 计量类型名称(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称",required=true)
    private String meterTypeName;

    /**
     * 重量类型编号(WEIGHT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="重量类型编号",required=true)
    private String weightTypeNo;

    /**
     * 重量类型名称(WEIGHT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="重量类型名称",required=true)
    private String weightTypeName;

    /**
     * 张数(PRINT_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="张数",required=true)
    private Short printNum;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.billPrintNo;
    }

    @Override
    public void setId(String billPrintNo) {
        this.billPrintNo = billPrintNo == null ? null : billPrintNo.trim();
    }

    public String getBillPrintNo() {
        return billPrintNo;
    }

    public void setBillPrintNo(String billPrintNo) {
        this.billPrintNo = billPrintNo == null ? null : billPrintNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getWeightTypeNo() {
        return weightTypeNo;
    }

    public void setWeightTypeNo(String weightTypeNo) {
        this.weightTypeNo = weightTypeNo == null ? null : weightTypeNo.trim();
    }

    public String getWeightTypeName() {
        return weightTypeName;
    }

    public void setWeightTypeName(String weightTypeName) {
        this.weightTypeName = weightTypeName == null ? null : weightTypeName.trim();
    }

    public Short getPrintNum() {
        return printNum;
    }

    public void setPrintNum(Short printNum) {
        this.printNum = printNum;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", billPrintNo=").append(billPrintNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", weightTypeNo=").append(weightTypeNo);
        sb.append(", weightTypeName=").append(weightTypeName);
        sb.append(", printNum=").append(printNum);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}